import { InstallDependency, StartProgram } from "./types.js";
import { Address } from "@peerbit/program";
import { Ed25519PublicKey, Identity, PublicSignKey } from "@peerbit/crypto";
import { PeerId } from "@libp2p/interface-peer-id";
export declare const client: (keypair: Identity<Ed25519PublicKey>, endpoint?: string) => Promise<{
    peer: {
        id: {
            get: () => Promise<any>;
        };
        addresses: {
            get: () => Promise<import("@multiformats/multiaddr").Multiaddr[]>;
        };
    };
    trust: {
        add: (key: PublicSignKey | PeerId) => Promise<boolean>;
        remove: (key: PublicSignKey | PeerId) => Promise<boolean>;
    };
    program: {
        has: (address: Address | string) => Promise<boolean>;
        open: (program: StartProgram) => Promise<Address>;
        close: (address: string) => Promise<void>;
        drop: (address: string) => Promise<void>;
        list: () => Promise<string[]>;
    };
    dependency: {
        install: (instruction: InstallDependency) => Promise<string[]>;
    };
    network: {
        bootstrap: () => Promise<void>;
    };
    restart: () => Promise<void>;
    terminate: () => Promise<void>;
}>;
