/// <reference types="node" />
import http from "http";
import { ProgramClient } from "@peerbit/program";
import { Peerbit } from "peerbit";
import { Session } from "./session.js";
export declare const stopAndWait: (server: http.Server) => Promise<boolean | undefined>;
export declare const startServerWithNode: (properties: {
    directory: string;
    domain?: string;
    bootstrap?: boolean;
    newSession?: boolean;
    ports?: {
        node: number;
        api: number;
    };
    restart?: () => void;
}) => Promise<{
    server: http.Server<typeof http.IncomingMessage, typeof http.ServerResponse>;
    node: Peerbit;
}>;
export declare const startApiServer: (client: ProgramClient, properties: {
    configDirectory: string;
    session?: Session;
    port?: number;
}) => Promise<http.Server>;
